package com.bonus.core.customer.dto;

import com.bonus.core.common.page.PageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class QueryPsnTypeDTO extends PageDTO {
   private Long id;
   private Integer psnType;
   private String psnTypeName;
   private Integer delFlag;
   @ApiModelProperty("分页参数")
   private PageDTO page;
   private List<String> exportCols;



   public Long getId() {
      return this.id;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getPsnTypeName() {
      return this.psnTypeName;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public PageDTO getPage() {
      return this.page;
   }

   public List<String> getExportCols() {
      return this.exportCols;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setPsnTypeName(final String psnTypeName) {
      this.psnTypeName = psnTypeName;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setPage(final PageDTO page) {
      this.page = page;
   }

   public void setExportCols(final List<String> exportCols) {
      this.exportCols = exportCols;
   }

}
